summaryrefslogtreecommitdiff
path: root/benchmark-builtin.bash
diff options
context:
space:
mode:
authorJakob Unterwurzacher2016-01-23 20:17:34 +0100
committerJakob Unterwurzacher2016-01-23 20:18:13 +0100
commite799ae672d64e6d3f943f79cda67be12a2b999e1 (patch)
treee3654deb6e277c4c490e11ab14135fe648f6d719 /benchmark-builtin.bash
parent142ed8b2b6e0549188c0651a2a077b37f2ae6da0 (diff)
Show new benchmark.bash in README
The old benchmark is in benchmark-builtin.bash. renamed: benchmarks-builtin.bash -> benchmark-builtin.bash renamed: benchmarks-external.bash -> benchmark.bash
Diffstat (limited to 'benchmark-builtin.bash')
-rwxr-xr-xbenchmark-builtin.bash10
1 files changed, 10 insertions, 0 deletions
diff --git a/benchmark-builtin.bash b/benchmark-builtin.bash
new file mode 100755
index 0000000..145fcfd
--- /dev/null
+++ b/benchmark-builtin.bash
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+# Run the synthetic benchmarks that are built into gocryptfs using
+# "go test".
+
+set -eu
+
+source build.bash
+
+go test ./integration_tests -bench=. -defaultonly